﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGGroupHeaderCheckBoxCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();      

        }

        private void CheckBox_Click(object sender, RoutedEventArgs e)
        {
            CheckBox CB = ((CheckBox)sender);
            GroupByRecordPresenter GRP = Utilities.GetAncestorFromType((DependencyObject)CB, typeof(GroupByRecordPresenter), false) as GroupByRecordPresenter;

            string description = GRP.Description;
            string cbState;
            if (CB.IsChecked == true)
            {
                cbState = "Checked";
            }
            else
            {
                cbState = "Unchecked";
            }


            foreach(GroupByRecord GBR in XDG1.Records)
            {                
                GroupByRecordPresenter GRP2 = GroupByRecordPresenter.FromRecord(GBR) as GroupByRecordPresenter;
                if (GRP2 != GRP)
                {
                    CheckBox CB2 = Utilities.GetDescendantFromName((DependencyObject)GRP2, "GroupByCheckBox1") as CheckBox;
                    CB2.IsChecked = false;
                }
            }

            MessageBox.Show("Group: " + description + Environment.NewLine + "CheckBox State: " + cbState);
        }
    }
}
